<?php

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
}



/*
 * Register the plugin menu items.
 */
if (function_exists('XH_registerStandardPluginMenuItems')) {
    XH_registerStandardPluginMenuItems(true);
}

if (function_exists('magazine') 
    && XH_wantsPluginAdministration('magazine') 
    || isset($magazine) && $magazine == 'true')
{


    $o .= print_plugin_admin('on');

    switch ($admin) {

	    case '':
	        $o .= '<h1>Magazine</h1>';
    		$o .= '<p>Version 0.1</p>';
            $o .= '<p>Copyright 2019</p>';
    		$o .= '<p><a href="http://www.nibble-arts.org" target="_blank">Thomas Winkler</a></p>';
            $o .= '<p>Mit dem Plugin ist es möglich PDF-Dateien von Magazinen entlang des Dateinamens nach Jahr und Jahrgang die Titelseite anzuzeigen und zum Download zur Verfügung zu stellen.</p>';

	        break;

        case 'plugin_main':

            $o .= '<a href="?magazine&admin=plugin_main&action=plugin_reset&normal">' . $plugin_tx['magazine']['reset_thumbs'] . '</a><br>';
            $o .= $plugin_tx['magazine']['thumbs_deleted_comment'];

            switch($action) {

                case 'plugin_reset':
                    $magazine = new magazine\Plugin_Magazine($plugin_cf['magazine']);

                    if ($magazine->reset()) {
                        $o .= '<div class="xh_success">' . $plugin_tx['magazine']['thumbs_deleted'] . '</div>';
                    }
                    else {
                        $o .= '<div class="xh_warning">' . $plugin_tx['magazine']['thumbs_delete_error'] . '</div>';
                    }

                    break;

            }


            break;


        default:
     //        include_once(DATABASE_BASE."settings.php");

     //        $o .= database_settings($action, $admin, $plugin);
     //        break;

	    // default:
	        $o .= plugin_admin_common($action, $admin, $plugin);
            break;
    }

}

?>